Skip to main content
GET
Get groups

Авторизации

Authorization
string
header
обязательно

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Заголовки

X-Tenant-Id
integer

Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.

Параметры пути

sale_id
integer
обязательно

Ответ

200 - application/json
id
integer
обязательно
read-only
created_at
string<date-time>
обязательно
read-only
updated_at
string<date-time>
обязательно
read-only
deleted
boolean
обязательно
read-only
sales
object[]
обязательно
name
string | null
Maximum string length: 512
category
integer | null
unit_price
string<decimal>
Pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
unit_count
string<decimal>
Pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
unit_type
enum<string>
  • litre - Литр
  • kg - Килограмм
  • g - Грамм
  • ml - Миллилитр
  • piece - Штука
  • m3 - Кубический метр
Доступные опции:
litre,
kg,
g,
ml,
piece,
m3
unit_sum
string<decimal>
Pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
image
string<uri> | null
unique_id
string | null
Maximum string length: 255
barcode
string | null
Maximum string length: 255
extra
any
filters
string[] | null
Maximum string length: 32
points
integer[]
Требуемый диапазон: -2147483648 <= x <= 2147483647
published
boolean
type
enum<integer>
  • 0 - Аренда
  • 1 - Продажа
Доступные опции:
0,
1
Требуемый диапазон: 0 <= x <= 32767
price
string<decimal>
Pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
lifetime
integer | null
Требуемый диапазон: -2147483648 <= x <= 2147483647